import { Injectable } from '@angular/core';
var ObjectSortingService = /** @class */ (function () {
    function ObjectSortingService() {
    }
    ObjectSortingService.prototype.compareNamesAsc = function (a, b) {
        if (a.name < b.name)
            return -1;
        if (a.name > b.name)
            return 1;
        return 0;
    };
    ObjectSortingService.prototype.compareNamesDesc = function (a, b) {
        if (a.name < b.name)
            return 1;
        if (a.name > b.name)
            return -1;
        return 0;
    };
    ObjectSortingService.prototype.sortObjects = function (field, array) {
        this.objects = array;
        switch (field) {
            case 'name-asc': {
                this.objects.sort(this.compareNamesAsc);
                break;
            }
            case 'name-desc': {
                this.objects.sort(this.compareNamesDesc);
                break;
            }
            case 'type':
            case 'size':
            default: {
                this.objects.sort(this.compareNamesAsc);
                break;
            }
        }
        return this.objects;
    };
    ObjectSortingService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    ObjectSortingService.ctorParameters = function () { return []; };
    return ObjectSortingService;
}());
export { ObjectSortingService };
//# sourceMappingURL=object-sorting.service.js.map