var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Injectable } from '@angular/core';
import { Store, Select } from '@ngxs/store';
import { TreeViewState } from '.././states/tree-view.state';
import { GenerateTree } from '.././states/tree-view.actions';
import { Observable } from 'rxjs';
var TreeViewService = /** @class */ (function () {
    function TreeViewService(store) {
        this.store = store;
    }
    TreeViewService.prototype.generateTree = function (data) {
        this.data = data;
        this.store.dispatch(new GenerateTree(data, 'Root'));
    };
    TreeViewService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    TreeViewService.ctorParameters = function () { return [
        { type: Store }
    ]; };
    __decorate([
        Select(TreeViewState.getHistory),
        __metadata("design:type", Observable)
    ], TreeViewService.prototype, "history$", void 0);
    return TreeViewService;
}());
export { TreeViewService };
//# sourceMappingURL=tree-view.service.js.map